Skip to main content
GET
/
v1
/
gate
/
sessions
/
{gateSessionId}
Poll a Gate signup session
curl --request GET \
  --url https://api.tripwirejs.com/v1/gate/sessions/{gateSessionId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "object": "gate_session",
    "id": "gate_0123456789abcdefghjkmnpqrs",
    "status": "pending",
    "expires_at": "2026-03-24T20:00:05.000Z",
    "gate_account_id": "gacct_0123456789abcdefghjkmnpqrs",
    "account_name": "Acme Growth Workspace",
    "delivery_bundle": {
      "integrator": {
        "version": 1,
        "algorithm": "x25519-hkdf-sha256/aes-256-gcm",
        "key_id": "key_6cw04zdmetw8t5rsdppadhper0",
        "ephemeral_public_key": "MCowBQYDK2VuAyEA7X6s5q0aQm1Bv1Q0nK5l2o3p9w8y7z6x5c4b3a2f1e0",
        "salt": "l7vW1kYpQ2m8nR4sT6u9xA",
        "iv": "b2M0NnA4cXJ0dXZ3eA",
        "ciphertext": "203.0.113.10",
        "tag": "Y2hhY2hhMjBwb2x5MTMwNQ"
      },
      "gate": {
        "version": 1,
        "algorithm": "x25519-hkdf-sha256/aes-256-gcm",
        "key_id": "key_6cw04zdmetw8t5rsdppadhper0",
        "ephemeral_public_key": "MCowBQYDK2VuAyEA7X6s5q0aQm1Bv1Q0nK5l2o3p9w8y7z6x5c4b3a2f1e0",
        "salt": "l7vW1kYpQ2m8nR4sT6u9xA",
        "iv": "b2M0NnA4cXJ0dXZ3eA",
        "ciphertext": "203.0.113.10",
        "tag": "Y2hhY2hhMjBwb2x5MTMwNQ"
      }
    },
    "docs_url": "https://app.acme.co/signup"
  },
  "meta": {
    "request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
  }
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer . Gate business endpoints require sk_* secret keys. Gate workflow endpoints use gate-native bearer tokens such as gtpoll_* or agt_* where documented.

Path Parameters

gateSessionId
string
required
Example:

"gate_0123456789abcdefghjkmnpqrs"

Response

Gate session status response.

data
object
required
Example:
{
"object": "gate_session",
"id": "gate_0123456789abcdefghjkmnpqrs",
"status": "pending",
"expires_at": "2026-03-24T20:00:05.000Z",
"gate_account_id": "gacct_0123456789abcdefghjkmnpqrs",
"account_name": "Acme Growth Workspace",
"delivery_bundle": {
"integrator": {
"version": 1,
"algorithm": "x25519-hkdf-sha256/aes-256-gcm",
"key_id": "key_6cw04zdmetw8t5rsdppadhper0",
"ephemeral_public_key": "MCowBQYDK2VuAyEA7X6s5q0aQm1Bv1Q0nK5l2o3p9w8y7z6x5c4b3a2f1e0",
"salt": "l7vW1kYpQ2m8nR4sT6u9xA",
"iv": "b2M0NnA4cXJ0dXZ3eA",
"ciphertext": "203.0.113.10",
"tag": "Y2hhY2hhMjBwb2x5MTMwNQ"
},
"gate": {
"version": 1,
"algorithm": "x25519-hkdf-sha256/aes-256-gcm",
"key_id": "key_6cw04zdmetw8t5rsdppadhper0",
"ephemeral_public_key": "MCowBQYDK2VuAyEA7X6s5q0aQm1Bv1Q0nK5l2o3p9w8y7z6x5c4b3a2f1e0",
"salt": "l7vW1kYpQ2m8nR4sT6u9xA",
"iv": "b2M0NnA4cXJ0dXZ3eA",
"ciphertext": "203.0.113.10",
"tag": "Y2hhY2hhMjBwb2x5MTMwNQ"
}
},
"docs_url": "https://app.acme.co/signup"
}
meta
object
required
Example:
{
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}